Gecode::Int::ManTaskViewIter< OptTaskView, sto, inc > Class Template Reference

Allows to iterate over mandatory task views according to a specified order. More...

`#include <task.hh>`

## Public Member Functions

| ManTaskViewIter (Region &r, const TaskViewArray< OptTaskView > &t)
| Initialize iterator with mandatory tasks.
bool | operator() (void) const
| Test whether iterator is still at a task.
int | left (void) const
| How many tasks are left to be iterated.
void | operator++ (void)
| Move iterator to next task.
int | task (void) const
| Return current task position.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Int::TaskViewIter< OptTaskView, sto, inc >
| TaskViewIter (void)
| Default constructor (no initialization).
Protected Attributes inherited from Gecode::Int::TaskViewIter< OptTaskView, sto, inc >
int * | map
| Map for iteration order.
int | i
| Current position.

## Detailed Description

template<class OptTaskView, SortTaskOrder sto, bool inc>
class Gecode::Int::ManTaskViewIter< OptTaskView, sto, inc >

Allows to iterate over mandatory task views according to a specified order.

Definition at line 339 of file task.hh.

## Constructor & Destructor Documentation

## ManTaskViewIter()

template<class OptTaskView, SortTaskOrder sto, bool inc>

Gecode::Int::ManTaskViewIter< OptTaskView, sto, inc >::ManTaskViewIter | ( | Region & | r,
|  | const TaskViewArray< OptTaskView > & | t )

inline

Initialize iterator with mandatory tasks.

Definition at line 76 of file iter.hpp.

The documentation for this class was generated from the following files:

- gecode/int/task.hh
- gecode/int/task/iter.hpp